> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Order

> Get the required, optional, and integration specific fields by calling the [integrations](/api-reference/mgmt/integrations) endpoint.



## OpenAPI

````yaml post /wms/orders
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/orders:
    post:
      tags:
        - wms
        - Orders
      summary: Create Order
      description: >-
        Get the required, optional, and integration specific fields by calling
        the [integrations](/api-reference/mgmt/integrations) endpoint.
      operationId: post_wms_create_order
      parameters:
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatewmsOrderInputSchema'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/wmsCreateOrderResponse'
          description: Successful response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    CreatewmsOrderInputSchema:
      type: object
      properties: {}
      additionalProperties: false
      oneOf:
        - $ref: '#/components/schemas/CreateWmsOrderSchema--Base__Schema--'
        - $ref: '#/components/schemas/CreatewmsOrder--Active__Ants--'
        - $ref: '#/components/schemas/CreatewmsOrder--A.__Duie__Pyle__-_ADP_---'
        - $ref: '#/components/schemas/CreatewmsOrder--Amphora--'
        - $ref: '#/components/schemas/CreatewmsOrder--Amplifier--'
        - $ref: '#/components/schemas/CreatewmsOrder--Staci__Americas__-_AMWare_---'
        - $ref: '#/components/schemas/CreatewmsOrder--Atomix--'
        - $ref: '#/components/schemas/CreatewmsOrder--Bergen--'
        - $ref: >-
            #/components/schemas/CreatewmsOrder--BlueBox__-_IDrive__Fulfillment_---
        - $ref: '#/components/schemas/CreatewmsOrder--Camelot--'
        - $ref: '#/components/schemas/CreatewmsOrder--Capacity--'
        - $ref: '#/components/schemas/CreatewmsOrder--CartonCloud--'
        - $ref: '#/components/schemas/CreatewmsOrder--Clarus--'
        - $ref: '#/components/schemas/CreatewmsOrder--DCL--'
        - $ref: '#/components/schemas/CreatewmsOrder--Cin7__Core__-_Dear__Systems_---'
        - $ref: '#/components/schemas/CreatewmsOrder--Deposco--'
        - $ref: '#/components/schemas/CreatewmsOrder--Distribution__Management--'
        - $ref: '#/components/schemas/CreatewmsOrder--Dotcom__Distribution--'
        - $ref: '#/components/schemas/CreatewmsOrder--Elite__Ops--'
        - $ref: '#/components/schemas/CreatewmsOrder--eShipping--'
        - $ref: '#/components/schemas/CreatewmsOrder--Evolve--'
        - $ref: '#/components/schemas/CreatewmsOrder--Extensiv__-_3PL__Central_---'
        - $ref: '#/components/schemas/CreatewmsOrder--Amazon--'
        - $ref: '#/components/schemas/CreatewmsOrder--FedEx__Fulfillment--'
        - $ref: '#/components/schemas/CreatewmsOrder--FFE--'
        - $ref: '#/components/schemas/CreatewmsOrder--Finale--'
        - $ref: '#/components/schemas/CreatewmsOrder--Flexport__-_Deliverr_---'
        - $ref: '#/components/schemas/CreatewmsOrder--Flowspace--'
        - $ref: '#/components/schemas/CreatewmsOrder--Fulfillor--'
        - $ref: '#/components/schemas/CreatewmsOrder--fulfilmentcrowd--'
        - $ref: '#/components/schemas/CreatewmsOrder--G__Global--'
        - $ref: '#/components/schemas/CreatewmsOrder--GoBolt--'
        - $ref: '#/components/schemas/CreatewmsOrder--Greenmark__Logistics--'
        - $ref: '#/components/schemas/CreatewmsOrder--I-Fulfilment--'
        - $ref: '#/components/schemas/CreatewmsOrder--Infoplus--'
        - $ref: '#/components/schemas/CreatewmsOrder--JAS--'
        - $ref: '#/components/schemas/CreatewmsOrder--JayGroup--'
        - $ref: '#/components/schemas/CreatewmsOrder--Cart.com__-_Jazz__Central_---'
        - $ref: '#/components/schemas/CreatewmsOrder--Leanafy--'
        - $ref: '#/components/schemas/CreatewmsOrder--Quickbox__-_LogicPod_---'
        - $ref: '#/components/schemas/CreatewmsOrder--Logiwa--'
        - $ref: '#/components/schemas/CreatewmsOrder--Logiwa__IO--'
        - $ref: '#/components/schemas/CreatewmsOrder--Luxroutage__LRI--'
        - $ref: '#/components/schemas/CreatewmsOrder--Mabang--'
        - $ref: '#/components/schemas/CreatewmsOrder--Mai__Fulfillment--'
        - $ref: '#/components/schemas/CreatewmsOrder--Mainfreight--'
        - $ref: '#/components/schemas/CreatewmsOrder--MasonHub--'
        - $ref: '#/components/schemas/CreatewmsOrder--Mintsoft--'
        - $ref: '#/components/schemas/CreatewmsOrder--Next3PL--'
        - $ref: '#/components/schemas/CreatewmsOrder--NFI--'
        - $ref: '#/components/schemas/CreatewmsOrder--Nimble--'
        - $ref: '#/components/schemas/CreatewmsOrder--NLRP--'
        - $ref: '#/components/schemas/CreatewmsOrder--NRI--'
        - $ref: '#/components/schemas/CreatewmsOrder--Ongoing__WMS--'
        - $ref: '#/components/schemas/CreatewmsOrder--OrderWise--'
        - $ref: '#/components/schemas/CreatewmsOrder--PackemWMS--'
        - $ref: '#/components/schemas/CreatewmsOrder--Packiyo--'
        - $ref: '#/components/schemas/CreatewmsOrder--Pattern--'
        - $ref: '#/components/schemas/CreatewmsOrder--Portless--'
        - $ref: '#/components/schemas/CreatewmsOrder--Quiet__Platforms--'
        - $ref: '#/components/schemas/CreatewmsOrder--Salesupply--'
        - $ref: '#/components/schemas/CreatewmsOrder--WMS__Sandbox--'
        - $ref: '#/components/schemas/CreatewmsOrder--ShipBob--'
        - $ref: '#/components/schemas/CreatewmsOrder--Shipedge--'
        - $ref: '#/components/schemas/CreatewmsOrder--Shipfusion--'
        - $ref: '#/components/schemas/CreatewmsOrder--ShipHero--'
        - $ref: '#/components/schemas/CreatewmsOrder--ShipMonk--'
        - $ref: '#/components/schemas/CreatewmsOrder--Shipping__and__Handling--'
        - $ref: '#/components/schemas/CreatewmsOrder--ShippingTree--'
        - $ref: '#/components/schemas/CreatewmsOrder--ShipStation--'
        - $ref: '#/components/schemas/CreatewmsOrder--ShipStream--'
        - $ref: '#/components/schemas/CreatewmsOrder--Shipwire--'
        - $ref: '#/components/schemas/CreatewmsOrder--SKUSavvy--'
        - $ref: '#/components/schemas/CreatewmsOrder--Linnworks__Core__-_SKUVault_---'
        - $ref: '#/components/schemas/CreatewmsOrder--Smart__Warehousing--'
        - $ref: '#/components/schemas/CreatewmsOrder--Sojo--'
        - $ref: '#/components/schemas/CreatewmsOrder--Star__WMS--'
        - $ref: '#/components/schemas/CreatewmsOrder--States__Logistics--'
        - $ref: '#/components/schemas/CreatewmsOrder--Stord--'
        - $ref: '#/components/schemas/CreatewmsOrder--Unis--'
        - $ref: '#/components/schemas/CreatewmsOrder--Unleashed--'
        - $ref: '#/components/schemas/CreatewmsOrder--Veeqo--'
        - $ref: '#/components/schemas/CreatewmsOrder--VeraCore--'
        - $ref: '#/components/schemas/CreatewmsOrder--Warehance--'
        - $ref: '#/components/schemas/CreatewmsOrder--Whiplash__-_Ryder_---'
        - $ref: '#/components/schemas/CreatewmsOrder--XB__Fulfillment--'
        - $ref: '#/components/schemas/CreatewmsOrder--Xorosoft--'
        - $ref: '#/components/schemas/CreatewmsOrder--Zenventory--'
        - $ref: '#/components/schemas/CreatewmsOrder--Zoho--'
      title: CreatewmsOrderInputSchema
    wmsCreateOrderResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/CreateWmsOrderResponseDataSchema'
        id:
          type: string
          description: The ID of the object that has been created or modified
          example: id
        unused_fields:
          type: array
          description: Unused fields
          items:
            type: string
            description: ''
      required:
        - id
        - unused_fields
      additionalProperties: false
      title: wmsCreateOrderResponse
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    CreateWmsOrderSchema--Base__Schema--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the order. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        order_number:
          type: string
          description: >-
            A user-friendly identifier for their order. Defaults to
            `reference_id` if not provided.
          example: order_number
        channel_object:
          $ref: '#/components/schemas/ChannelSchema'
          description: The channel the order was placed on.
        trading_partner:
          type: string
          description: >-
            For retail/EDI orders, the trading partner who placed the order
            (e.g. Target, Walmart).
          example: Target
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        service_level:
          type: string
          description: The type of shipping method requested by the customer.
          example: Standard
        invoice_currency_code:
          type: string
          description: >-
            The currency used for this order. If not provided explicitly,
            defaults to USD.
          example: USD
        total_price:
          type: number
          description: The total price a customer paid for the order.
          example: 13.49
        total_tax:
          type: number
          description: The total tax on the order.
          example: 1.5
        total_discount:
          type: number
          description: The total amount discounted from the order.
          example: 2.5
        total_shipping:
          type: number
          description: The total shipping cost for the order incurred by the customer.
          example: 3.5
        ship_to_address:
          $ref: '#/components/schemas/CreateWmsOrderShipToAddress'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - product_id: product_id
              sku: sku
              quantity: 1
              unit_price: 10.99
              discount_amount: 1.5
          items:
            $ref: '#/components/schemas/CreateWmsOrderLineItems'
      required:
        - channel_object
        - invoice_currency_code
        - order_number
        - reference_id
        - service_level
        - ship_to_address
        - shipping_method_id
        - total_discount
        - total_price
        - total_shipping
        - total_tax
        - trading_partner
        - warehouse_customer_id
      additionalProperties: false
      title: Base Schema
    CreatewmsOrder--Active__Ants--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              unit_price: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemactive-ants'
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressActive-Ants'
        order_type_id:
          type: string
          enum:
            - N/A — connect an account to see options
          description: Active Ants order type name
      required:
        - line_items
        - order_type_id
        - reference_id
        - ship_to_address
      additionalProperties: false
      title: Active Ants
    CreatewmsOrder--A.__Duie__Pyle__-_ADP_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_number:
          type: string
          maxLength: 22
          description: A user-friendly identifier for their order.
          example: order_number
        reference_id:
          type: string
          maxLength: 22
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressAdp'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              uom: CT
          items:
            $ref: '#/components/schemas/WmsOrderCreateLineItemadp'
      required:
        - line_items
        - order_number
        - ship_to_address
      additionalProperties: false
      title: A. Duie Pyle (ADP)
    CreatewmsOrder--Amphora--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        invoice_currency_code:
          type: string
          description: The currency code for this order (e.g. EUR, USD).
          example: USD
        total_price:
          type: number
          description: The total price a customer paid for the order.
          example: 13.49
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressAmphora'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              unit_price: 0
          items:
            $ref: '#/components/schemas/WmsOrderCreateLineItemamphora'
      required:
        - invoice_currency_code
        - line_items
        - order_number
        - ship_to_address
        - total_price
      additionalProperties: false
      title: Amphora
    CreatewmsOrder--Amplifier--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        channel_object:
          $ref: '#/components/schemas/AmplifierChannelIdSchema'
          description: The channel the order was placed on.
        service_level:
          type: string
          description: The type of shipping method requested by the customer.
          example: Standard
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressAmplifier'
        bill_to_address:
          $ref: '#/components/schemas/BillToAddressAmplifier'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: sku
              quantity: 1
              description: Widget
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemamplifier'
      required:
        - bill_to_address
        - line_items
        - order_number
        - service_level
        - ship_to_address
      additionalProperties: false
      title: Amplifier
    CreatewmsOrder--Staci__Americas__-_AMWare_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressAmware'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemamware'
        shipping_method_id:
          type: string
          enum:
            - AEG0
            - CPU
            - SRG
            - AMH
            - UP04
            - UP05
            - UP03
            - UP01
            - UP02
            - UP08
            - UP06
            - UP12
            - UP36
            - UP37
            - UP33
            - SURP
            - UP15
            - UP16
            - UP17
            - UP18
            - UP35
            - UP21
            - UP13
            - UP22
            - UP19
            - UP25
            - UP20
            - US02
            - US03
            - US18
            - USPS
            - US04
            - US05
            - RASP
            - RSNU
            - PP01
            - PP02
            - PP03
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        channel_object:
          $ref: '#/components/schemas/ChannelIdSchema'
          description: The channel the order was placed on.
      required:
        - line_items
        - reference_id
        - ship_to_address
        - warehouse_id
      additionalProperties: false
      title: Staci Americas (AMWare)
    CreatewmsOrder--Atomix--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        type:
          type: string
          enum:
            - dtc
            - b2b
          description: The type of order, such as d2c, b2b, dropship, or transfer.
          example: d2c
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressAtomix'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItematomix'
      required:
        - line_items
        - reference_id
        - ship_to_address
        - shipping_method_id
      additionalProperties: false
      title: Atomix
    CreatewmsOrder--Bergen--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        payment_terms:
          type: string
          enum:
            - Net
            - COD
            - CC
            - WIRE
          description: Payment terms of the order.
        carrier_id:
          type: string
          enum:
            - GILBERT EAST
            - FREIGHT FORWARDER
            - ROUTING GUIDE
            - CUSTOMER PICKUP
            - TRUCK P/P
            - TRUCK F/C
            - FEDEX
            - DHL EXPRESS
            - BAX GLOBAL
            - TNT
            - UPS
            - USPS
            - UPS FREIGHT
            - JB HUNT
            - A&S TRUCKING SERVICE
            - PORT LOGISTICS GROUP
            - ESTES EXPRESS LINES
            - PITT OHIO
            - EXACTA MESSENGER
            - ROCKET MESSENGER
            - Front Line Freight
            - DMS EXPRESS
            - Messenger
            - KINGS EXPRESS
            - Gilbert Express
            - RANGER TRANSPORTATION INC
            - Fedex Freight east
            - Fedex Freight West
            - FREIGHTCO LOGISTICS
            - Vale Trucking
            - EDI TRUCKING
            - SWIFT TRANSPORT
            - PERFORMANCE TEAM
            - DISPATCH CENTRAL
            - warehouse transfer
            - NORTH EAST COURIERS INC
            - Old Dominion
            - Champion
            - YRC
            - All Time
            - BENJAMIN MAZER TRUCKING
            - VEECO SERVICES
            - CTE
            - GALE TRIANGLE
            - VISION EXPRESS
            - THE RIGHT MOVE
            - ABF
            - JAYDEE
            - BARNEYS
            - NEW DEAL
            - FOXS
            - NRT
            - T&M
            - MIGO TRUCKING
            - TRIANGLE
            - YELLOW FREIGHT
            - ROADWAY
            - Gilbert West
            - Pacific Logistics
            - City Fashion
            - Main Freight
            - Allstates Freight
            - NEW ENGLAND MOTOR FREIGHT
            - YAMATO TRANSPORTATION
            - PANALPINA
            - EXPEDITORS
            - DSV AIR & SEA
            - YUSEN AIR
            - HERCULES TRANSPORTATION
            - CITY GARMENT
            - US XPRESS
            - DYNAMIC
            - R&S TRANSPORTATION
            - Knight Transportation
            - WTG
            - SCHNEIDER TRANSPORT
            - Araiza Express
            - SELECT EXPRESS & LOGISTICS
            - INTERCARGO LOGISTICS
            - RoadEx America
            - ASSET TRANSFER
            - Fedex Freight Regional
            - UPS EU
            - National Retail Trans
            - EASTERN FREIGHT WAYS
            - Daylight Transport
            - Jet Speed
            - MOL
            - TOWNE AIR FREIGHT
            - ROADRUNNER
            - DIAMOND LOGISTICS
            - Global Spedition
            - Altruck Inc
            - DL EXpress
            - EVER CONCORD
            - LAND AIR EXPRESS
            - RONIE TRUCKING
            - JET SPEED AIR CARGO
            - DAX EXPRESS
            - J.O. TRUCKING INC
            - Same Day Delivery
            - KEYSTONE TRUCKING
            - ROBINSON TRANSPORTATION SERVICES
            - UNITED CENTURY EXPRESS C.
            - TI LOGISTICS
            - WTG.
            - FREIGHT FORCE
            - TY DELIVERY SERVICES
            - USF REDDAWAY INC
            - ClearLane Freight
            - Landstar
            - PASCHALL TRUCK LINES INBOUND
            - ARCTIC EXPRESS
            - SCHNEIDER
            - JRC
            - KINTETSU WORLD EXPRESS
            - TOPOCEAN CONSOLIDATION
            - DHL
            - Borderlinx
            - O.T Delivery
            - UBER
            - OAK HARBOR FREIGHT
            - Caltop Logistics
            - AFN
            - OCEAN ONE
            - NFI LOGISTICS
            - Jamex
            - DeCaro
            - Vanguard Logistics
            - ATS
            - CONWAY
            - ARCHILLA TRANSPORT
            - AMERICAN CARGO EXPRESS
            - Pacer
            - SKYWAY TRUCKING
            - New Rochell
            - RAPID DELIVERY SERVICE
            - REGIONAL TRUCKING
            - MRZ TRUCKING
            - BEO SUPPLY INC
            - FORWARD AIR
            - 1st Freight
            - WESTERN EXPRESS
            - GRANDVIEW
            - Cargo International
            - UPS SUPPLY CHAIN
            - AXIS GLOBAL LOGISTICS
            - FRESH AIR TRUCKING
            - CRST
            - CSA TRANSPORTATION
            - BLJ TRUCKING
            - EAGLE TRANSPORTATION
            - ADAMS THIRD WAVE CONSULTING
            - MERCER TRANSPORTATION
            - A DUIE PYLE
            - PIZA TRUCKING
            - MOUNTAIN VALLEY EXORESS
            - R & L Transfer
            - SAIA MOTOR FREIGHT
            - Celadon Trucking Services
            - NATIONAL RETAIL SYSTEMS INC.
            - DM TRANSPORTATION
            - JV Transportation
            - VSS TRANSPORTATION GROUP INC
            - GLS
            - INXP
            - Dependable Highway Express
            - GILBERT CONSOLIDATION
            - Crosby Trucking Inbound
            - SCOTT LOGISTICS
            - EXPO LOGISTICS
            - NEW PENN
            - West End Express
            - L-Freight
            - OCEAN ONE
            - Dms services
            - JSTAR
            - Land Air Express
            - CRYSTAL MOTORS
            - MAP CARGO
            - DHL GLOBAL FORWARDING
            - VOLPE EXPRESS
            - XPORT SERVICE
            - RANGER EXPRESS
            - T I Logistics
            - Roadrunner
            - WTG OTR Inbound
            - Bergen Truck EC
            - BLACKHAWK SOUTHWEST
            - SERVICE TRANSPORT
            - DOT-LINE TRANSPORTATION
            - HUB GROUP INTERMODAL
            - PAYSTAR LOGISTICS
            - SPI INTL TRANSPORTATION
            - SAIA INC
            - ALL CARTAGE
            - HASSET EXPRESS
            - HAWK TRANSPORTATION
            - WARD trucking
            - Diamond freight distribution INC
            - GOLDEN
            - Logical Logistics
            - Transport America Regional Fleet
            - CELADON
            - BEST OVERNITE LTL
            - HTL
            - APPAREL MOVERS
            - Keanes Cartage
            - BRUIN TRUCKING
            - Polaris Transport
            - OSBORN
            - FRONTLINE FREIGHT
            - BTX GLOBAL LOGISITICS
            - XPO LOGISTICS
            - J.Q. Trucking Inc
            - IMPULSE
            - SKYNET
            - Central Freight Lines Inc
            - DESANTIS
            - EXPORT SERVICES
            - PAI TRUCKING
            - Central Transport
            - AMERICAN TRUCKING
            - Shinju Express
            - AIR CITY
            - AMERICAN AIRFREIGHT TRUCKING
            - AAA TRUCKING
            - CONCORD TRUCKING
            - BREAKWAY CARRIER
            - FERSCHO TRUCKING
            - CH ROBINSON
            - MGR FREIGHT
            - DHL GLOBAL FORWARDING
            - A&F
            - CROWN TRUCKING
            - DYNAMIC EXPRESS
            - Premier Transportation Inbound
            - ALBATRANS
            - Fedex LTL
            - Prostar Logistics
            - INTERSTATE DISTRIBUTOR COMPANY
            - CSRT
            - USA TRUCK, INC.
            - EZ WORLDWIDE EXPRESS
            - BEAR TRANSPORTATION
            - TRICAP INTERNATIONAL
            - Unyson Logistics
            - NFI
            - Complete distribution solution
            - BNSF LOGISTICS LLC
            - SCHNEIDER NATIONAL
            - APC
            - TOTAL QUALITY LOGISTICS
            - TM LOGISTICS
            - Transplace
            - ZTC FREIGHT
            - Falcon Logistics
            - Transport America Inbound
            - FARMORE TRANSPORTATION
            - FNS DISTRIBUTING COMPNAY
            - FNS DISTRIBUTING COMPANY
            - JEM EXPRESS INC
            - KRG Logistics
            - Covenant Transport
            - Globaltranz
          description: >-
            The ID of the carrier used to ship the order to the customer. If
            carrier_name is also provided, this will take precedence.
          example: fedex
        shipping_method_id:
          type: string
          enum:
            - 1st Freight
            - AAAT
            - AAIE
            - ABFS
            - AFN
            - AHWE
            - ALBA WHEELS
            - ALBATRANS
            - ALCY
            - ALTR
            - ALUK
            - ANSW
            - APC LOGISTICS
            - APPAREL MOVERS
            - ARIE
            - ASSET
            - ASUR
            - AXIG
            - All Time
            - Araiza Express
            - BARNEYS
            - BAX GLOBAL GURANTEED- 1ST ARRIVAL
            - BAX GLOBAL GURANTEED- 2ND DAY
            - BAX GLOBAL GURANTEED- AIRPORT TO AIRPORT
            - BAX GLOBAL GURANTEED- OVERNIGHT
            - BAX GLOBAL STANDARD- 2ND DAY
            - BAX GLOBAL STANDARD- BAX SAVER
            - BAX GLOBAL STANDARD- NEXT AVAILABLE FLIGHT
            - BAX GLOBAL STANDARD- OVERNIGHT
            - BAX GLOBAL TRUCK
            - BAXG
            - BEOS
            - BLJF
            - BLKW
            - BNLS
            - BREAKWAY CARRIER
            - BRTK
            - BTG
            - BTVP
            - BTXA
            - Bergen Truck
            - Borderlinx
            - CAIE
            - CARRIER
            - CDNK
            - CDSS
            - CENF
            - CETR
            - CEVA LOGISTICS
            - CFX
            - CGMC
            - CH ROBINSON
            - CLFS
            - CNWY
            - CONC
            - COURIER EXPRESS LLC
            - CPPV
            - CPUP
            - CRGO
            - CRPS
            - CRWT
            - CRYS
            - CSAP
            - CSBI
            - CTQH
            - CUSTOMER TRUCK - Pickup By Customer
            - CVEN
            - Carrier
            - Celadon Trucking Services
            - Central Freight Lines Inc
            - Cosmo Freight Solutions
            - DAXX
            - DCDS
            - DFDO
            - DHE
            - DHL 2ND DAY
            - DHL 2ND DAY -Residential
            - DHL DOMESTIC PRIORITY
            - DHL DOMESTIC PRIORITY -Residential
            - DHL DOMESTIC STANDARD
            - DHL DOMESTIC STANDARD -Residential
            - DHL EASYSHOP
            - DHL EASYSHOP - SATURDAY DELIVERY
            - DHL ECONOMY SELECT
            - DHL ECONOMY SELECT - SATURDAY DELIVERY
            - DHL EUROPACK
            - DHL EUROPACK - SATURDAY DELIVERY
            - DHL EXPRESS 10:30
            - DHL EXPRESS 10:30 - SATURDAY DELIVERY
            - DHL EXPRESS 12:00
            - DHL EXPRESS 12:00 - SATURDAY DELIVERY
            - DHL EXPRESS 9:00
            - DHL EXPRESS 9:00 - SATURDAY DELIVERY
            - DHL EXPRESS WORLDWIDE
            - DHL EXPRESS WORLDWIDE - SATURDAY DELIVERY
            - DHL GLOBAL FORWARDING
            - DHL GROUND
            - DHL GROUND -Residential
            - DHL INTL PRIORITY
            - DHL INTL PRIORITY -Residential
            - DHL INTL STANDARD
            - DHL INTL STANDARD -Residential
            - DHL NEXT DAY 10:30
            - DHL NEXT DAY 10:30 -Residential
            - DHL NEXT DAY 12PM
            - DHL NEXT DAY 12PM -Residential
            - DHL NEXT DAY 3PM
            - DHL NEXT DAY 3PM -Residential
            - DHL SATURDAY DELIVERY(OPTIONAL)
            - DHL SATURDAY DELIVERY(OPTIONAL) -Residential
            - DHLG
            - DISP
            - DMRG
            - DMSD
            - DOLR
            - DSV1
            - DYEX
            - DYLT
            - DYXI
            - DYXT
            - Daylight Transport
            - EDI
            - EFWY
            - ESDR
            - ETSI
            - EVCD
            - EXLA
            - EXPD
            - EZWO
            - FCLL
            - FCSY
            - FEDEX 2Day - Commercial
            - FEDEX 2Day - Residential
            - FEDEX 2Day - SATURDAY DELIVERY - Commercial
            - FEDEX 2Day - SATURDAY DELIVERY - Residential
            - FEDEX Express Saver - Commercial
            - FEDEX Express Saver - Residential
            - FEDEX First Overnight - Commercial
            - FEDEX First Overnight - Residential
            - FEDEX Ground - Commercial
            - FEDEX Ground - Residential
            - FEDEX International Economy - Commercial
            - FEDEX International Economy - Residential
            - FEDEX International Ground (to Canada) - Commercial
            - FEDEX International Ground (to Canada) - Residential
            - FEDEX International Priority - Commercial
            - FEDEX International Priority - Residential
            - FEDEX Priority Overnight - Commercial
            - FEDEX Priority Overnight - Residential
            - FEDEX Standard Overnight - Commercial
            - FEDEX Standard Overnight - Residential
            - FETR
            - FFFF
            - FLOG
            - FMTS
            - FNSD
            - FORWARD AIR
            - FORWARDER
            - FOXS
            - FREIGHT
            - FREIGHT FORWARDER
            - FRESH AIR TRUCKING
            - FWDR
            - FXFE
            - FXFW
            - FXNL
            - Falcon Logistics
            - GADQ
            - GBEA
            - GBXI
            - GILBERT EAST
            - GLS Standard
            - GLTN
            - GOLD
            - GRWE
            - Gilbert Express
            - Globaltranz
            - HACC
            - HAXS
            - HJBT
            - HRCF
            - HTL GROUND
            - HUBG
            - IMPULSE
            - INTD
            - INXPRESS
            - J.O. TRUCKING INC
            - JANEL GROUP
            - JDFD
            - JEM EXPRESS INC.
            - JEMA
            - JETP
            - JETS
            - JQTR
            - JRS TRUCKING
            - JRSK
            - JV Transportation
            - Jefron
            - KCSS
            - KIGE
            - KNIG
            - KRGS
            - KWEO
            - KYSO
            - LAEX
            - LAND
            - LFGT
            - LTL
            - Land Air Express
            - Landstar
            - Logical Logistics
            - MAPC
            - MAZR
            - MCET
            - MESSENGER
            - MGRF
            - MIGO TRUCKING
            - MRZT
            - MSNG
            - MVEX
            - Main Freight
            - Metro Trucking
            - NAFT
            - NART
            - NDCW
            - NDLO
            - NECI
            - NEMF
            - NEW PENN
            - NRCL
            - NRD
            - OAKH
            - ODFL
            - OSTP
            - OTDS
            - PASC
            - PAYL
            - PFLP
            - PITD
            - PNE1
            - POGM
            - POLT
            - PSLP
            - PTAG
            - PYLE
            - PYLR
            - PZAT
            - RBTW
            - RDFS
            - RDSC
            - RDWY
            - RDXA
            - RGTR
            - RNGR
            - RNLO
            - ROTR
            - ROUTING GUIDE
            - RSTN
            - RTNG
            - RXPF
            - Rock freight system
            - SAIA
            - SAMD
            - SCDS
            - SCGP
            - SCNN
            - SIVP
            - SKYNET Worldwide Express
            - SRVP
            - SWFT
            - SXLT
            - T I Logistics
            - T&M
            - T-soon trucking
            - TCAM
            - TCSI
            - TGIR
            - TGNA
            - THE RIGHT MOVE
            - TMLS
            - TNT DOMESTICS- TRUCK
            - TNT DOMESTICS- USA EXPRESS
            - TNT DOMESTICS- USA GROUND
            - TNT INTL- 12PM EXPRESS
            - TNT INTL- 9PM EXPRESS
            - TNT INTL- ECONOMY EXPRESS
            - TNT INTL- GLOBAL EXPRESS
            - TNT INTL- NEXT DAY
            - TODL
            - TODM
            - TPFF
            - TPQL
            - TPXY
            - TQYL
            - TRMI
            - TRUCK F/C TRUCK F/C
            - TRUCK P/P TRUCK P/P
            - TRUCKING
            - TYDS
            - Transport America Inbound
            - Trucking
            - UBER
            - UCEC
            - UCL trucking
            - UPGF
            - UPS 2ND DAY AIR - Commercial
            - UPS 2ND DAY AIR - Residential
            - UPS 2ND DAY AIR AM - Commercial
            - UPS 2ND DAY AIR AM - Residential
            - UPS 3 DAY SELECT - Commercial
            - UPS 3 DAY SELECT - Residential
            - UPS Expedited
            - UPS Express
            - UPS Express Saver
            - UPS FREIGHT
            - UPS GROUND - Commercial
            - UPS GROUND - Residential
            - UPS NEXT DAY AIR - Commercial
            - UPS NEXT DAY AIR - Residential
            - UPS NEXT DAY AIR EARLY AM - Commercial
            - UPS NEXT DAY AIR EARLY AM - Residential
            - UPS NEXT DAY AIR SAVER - Commercial
            - UPS NEXT DAY AIR SAVER - Residential
            - UPS Standard
            - UPS WORLD SHIP EXPEDITED - Commercial
            - UPS WORLD SHIP EXPEDITED - Residential
            - UPS WORLD SHIP EXPRESS - Commercial
            - UPS WORLD SHIP EXPRESS - Residential
            - UPS WORLD SHIP EXPRESS PLUS- Commercial
            - UPS WORLD SHIP EXPRESS SAVER- Commercial
            - UPS WORLD SHIP EXPRESS SAVER- Residential
            - UPSF
            - USFR
            - USIT
            - USPS DOM 1ST CLASS
            - USPS DOM EXPRESS
            - USPS DOM PARCEL POST
            - USPS DOM PRIORITY
            - USPS GLOB 1ST CLASS PACKAGE
            - USPS GLOB AIRMAIL
            - USPS GLOB EXP GTD
            - USPS GLOB EXP MAIL
            - USPS GLOB PRI MAIL
            - USPS Media Mail
            - USPS United States Postal Service
            - USXI
            - UYSN
            - VALT
            - VHLC
            - VIEX
            - VISION EXPRESS
            - VOEX
            - VSS TRANSPORTATION GROUP INC
            - VSXP
            - WEXI
            - WHTN
            - WMI
            - WRDT
            - WTGG
            - XPORT
            - YAT1
            - YFSY
            - YUS1
            - ZTCF
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        billing_option:
          type: string
          enum:
            - Prepaid
            - Freight Collect
            - Third Party
            - Consignee Bill
            - Collect Billing
          description: Billing option of the order.
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressBergen'
        bill_to_address:
          $ref: '#/components/schemas/BillToAddressBergen'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              unit_price: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItembergen'
        order_type:
          type: string
          enum:
            - Web
            - Wholesale
            - Retail
            - Dropship
            - CrossDock
          description: Type of the order.
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
      required:
        - billing_option
        - carrier_id
        - line_items
        - order_number
        - order_type
        - payment_terms
        - ship_to_address
        - shipping_method_id
        - warehouse_id
      additionalProperties: false
      title: Bergen
    CreatewmsOrder--BlueBox__-_IDrive__Fulfillment_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressBluebox'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              unit_price: 0
          items:
            $ref: '#/components/schemas/WmsOrderCreateLineItembluebox'
        carrier_id:
          type: string
          description: >-
            The ID of the carrier used to ship the order to the customer. If
            carrier_name is also provided, this will take precedence.
          example: fedex
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        trading_partner:
          type: string
          description: >-
            For retail/EDI orders, the trading partner who placed the order
            (e.g. Target, Walmart).
          example: Target
      required:
        - carrier_id
        - line_items
        - reference_id
        - ship_to_address
        - shipping_method_id
      additionalProperties: false
      title: BlueBox (IDrive Fulfillment)
    CreatewmsOrder--Camelot--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_number:
          type: string
          maxLength: 30
          description: A user-friendly identifier for their order.
          example: order_number
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressCamelot'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemcamelot'
      required:
        - line_items
        - order_number
        - ship_to_address
      additionalProperties: false
      title: Camelot
    CreatewmsOrder--Capacity--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        shipping_method_id:
          type: string
          enum:
            - DHL SmartMail Parcel Expedited Max
            - DHL SmartMail Parcel Plus Expedited Max
            - FedEx Home
            - FedEx 2nd Day Air
            - UPS Ground Residential
            - USPS Priority Mail
            - FedEx Express Saver
            - UPS 2nd Day Air
            - UPS 3 Day Select
            - UPS Next Day Air Saver
            - FedEx Standard Overnight
            - Free
            - 3-4 Day
            - 2-3 Day
            - 1-2 Day
            - FedEx Overnight Saturday Delivery
            - DHL International Standard
            - FedEx Priority Overnight
            - OpenBorder
            - DHL Parcel International Direct
            - Customer Pickup
            - USPS Ground Advantage
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemcapacity'
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressCapacity'
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
      required:
        - line_items
        - order_number
        - ship_to_address
        - shipping_method_id
      additionalProperties: false
      title: Capacity
    CreatewmsOrder--CartonCloud--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the order. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressCarton-Cloud'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemcarton-cloud'
        service_level:
          type: string
          description: Requested shipping service level
        required_ship_date:
          type: string
          format: date-time
          description: Required delivery date (YYYY-MM-DD)
      required:
        - line_items
        - reference_id
        - ship_to_address
        - warehouse_customer_id
      additionalProperties: false
      title: CartonCloud
    CreatewmsOrder--Clarus--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        required_ship_date:
          type: string
          format: date-time
          description: The date the order must be shipped by.
          example: '2021-01-01T12:00:00Z'
        ship_to_address:
          $ref: '#/components/schemas/ClarusCreateOrderShipToAddressClarus'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - product_id: '108'
              quantity: 1
          items:
            $ref: '#/components/schemas/WmsOrderCreateLineItemclarus'
      required:
        - line_items
        - reference_id
        - required_ship_date
        - ship_to_address
        - warehouse_id
      additionalProperties: false
      title: Clarus
    CreatewmsOrder--DCL--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        freight_account:
          type: string
          description: >-
            Which account to bill for freight. To charge DCL, use 00500, for
            Collect shipment use 99999, to charge the customer use the
            customer's account number, to a third party account use 00000. If
            left blank, the customer's account number will be used.
          example: '00500'
        shipping_method_id:
          type: string
          enum:
            - '1'
            - '2'
            - '3'
            - '4'
            - '5'
            - '6'
            - '7'
            - '8'
            - '9'
            - '10'
            - '11'
            - '12'
            - '13'
            - '14'
            - '15'
            - '16'
            - '17'
            - '18'
            - '19'
            - '20'
            - '21'
            - '22'
            - '23'
            - '24'
            - '25'
            - '26'
            - '27'
            - '28'
            - '29'
            - '30'
            - '31'
            - '32'
            - '33'
            - '34'
            - '35'
            - '36'
            - '37'
            - '38'
            - '39'
            - '40'
            - '41'
            - '42'
            - '43'
            - '44'
            - '45'
            - '46'
            - '47'
            - '48'
            - '49'
            - '50'
            - '51'
            - '52'
            - '53'
            - '54'
            - '55'
            - '56'
            - '57'
            - '58'
            - '59'
            - '60'
            - '61'
            - '62'
            - '63'
            - '64'
            - '65'
            - '66'
            - '67'
            - '68'
            - '69'
            - '70'
            - '71'
            - '72'
            - '73'
            - '74'
            - '75'
            - '76'
            - '77'
            - '78'
            - '79'
            - '80'
            - '81'
            - '82'
            - '83'
            - '84'
            - '85'
            - '86'
            - '87'
            - '88'
            - '89'
            - '90'
            - '91'
            - '92'
            - '93'
            - '94'
            - '95'
            - '96'
            - '97'
            - '98'
            - '99'
            - '100'
            - '101'
            - '102'
            - '103'
            - '104'
            - '105'
            - '106'
            - '107'
            - '108'
            - '109'
            - '110'
            - '111'
            - '112'
            - '113'
            - '114'
            - '115'
            - '116'
            - '117'
            - '118'
            - '119'
            - '120'
            - '121'
            - '122'
            - '123'
            - '124'
            - '125'
            - '126'
            - '127'
            - '128'
            - '129'
            - '130'
            - '131'
            - '132'
            - '133'
            - '134'
            - '135'
            - '136'
            - '137'
            - '138'
            - '139'
            - '140'
            - '141'
            - '142'
            - '143'
            - '144'
            - '145'
            - '146'
            - '147'
            - '148'
            - '149'
            - '150'
            - '151'
            - '152'
            - '153'
            - '154'
            - '155'
            - '156'
            - '157'
            - '158'
            - '159'
            - '160'
            - '161'
            - '162'
            - '163'
            - '164'
            - '165'
            - '166'
            - '167'
            - '168'
            - '169'
            - '170'
            - '171'
            - '172'
            - '173'
            - '174'
            - '175'
            - '176'
            - '177'
            - '178'
            - '179'
            - '180'
            - '181'
            - '182'
            - '183'
            - '184'
            - '185'
            - '186'
            - '187'
            - '188'
            - '189'
            - '190'
            - '191'
            - '192'
            - '193'
            - '194'
            - '195'
            - '196'
            - '197'
            - '198'
            - '199'
            - '200'
            - '201'
            - '202'
            - '203'
            - '204'
            - '205'
            - '206'
            - '207'
            - '208'
            - '209'
            - '210'
            - '211'
            - '212'
            - '213'
            - '214'
            - '215'
            - '216'
            - '217'
            - '218'
            - '219'
            - '220'
            - '221'
            - '222'
            - '223'
            - '224'
            - '225'
            - '226'
            - '227'
            - '228'
            - '229'
            - '230'
            - '231'
            - '232'
            - '233'
            - '234'
            - '235'
            - '236'
            - '237'
            - '238'
            - '239'
            - '240'
            - '241'
            - '242'
            - '243'
            - '244'
            - '245'
            - '246'
            - '247'
            - '248'
            - '249'
            - '250'
            - '251'
            - '252'
            - '253'
            - '254'
            - '255'
            - '256'
            - '257'
            - '258'
            - '259'
            - '260'
            - '261'
            - '262'
            - '263'
            - '264'
            - '265'
            - '266'
            - '267'
            - '268'
            - '269'
            - '270'
            - '271'
            - '272'
            - '273'
            - '274'
            - '275'
            - '276'
            - '277'
            - '278'
            - '279'
            - '280'
            - '281'
            - '282'
            - '283'
            - '284'
            - '285'
            - '286'
            - '287'
            - '288'
            - '289'
            - '290'
            - '291'
            - '292'
            - '293'
            - '294'
            - '295'
            - '296'
            - '297'
            - '298'
            - '299'
            - '300'
            - '301'
            - '302'
            - '303'
            - '304'
            - '305'
            - '306'
            - '307'
            - '308'
            - '309'
            - '310'
            - '311'
            - '312'
            - '313'
            - '314'
            - '315'
            - '316'
            - '317'
            - '318'
            - '319'
            - '320'
            - '321'
            - '322'
            - '323'
            - '324'
            - '325'
            - '326'
            - '327'
            - '328'
            - '329'
            - '330'
            - '331'
            - '332'
            - '333'
            - '334'
            - '335'
            - '336'
            - '337'
            - '338'
            - '339'
            - '340'
            - '341'
            - '342'
            - '343'
            - '344'
            - '345'
            - '346'
            - '347'
            - '348'
            - '349'
            - '350'
            - '351'
            - '352'
            - '353'
            - '354'
            - '355'
            - '356'
            - '357'
            - '358'
            - '359'
            - '360'
            - '361'
            - '362'
            - '363'
            - '364'
            - '365'
            - '366'
            - '367'
            - '368'
            - '369'
            - '370'
            - '371'
            - '372'
            - '373'
            - '374'
            - '375'
            - '376'
            - '377'
            - '378'
            - '379'
            - '380'
            - '381'
            - '382'
            - '383'
            - '384'
            - '385'
            - '386'
            - '387'
            - '388'
            - '389'
            - '390'
            - '391'
            - '392'
            - '393'
            - '394'
            - '395'
            - '396'
            - '397'
            - '398'
            - '399'
            - '400'
            - '401'
            - '402'
            - '403'
            - '404'
            - '405'
            - '406'
            - '407'
            - '408'
            - '409'
            - '410'
            - '411'
            - '412'
            - '413'
            - '414'
            - '415'
            - '416'
            - '417'
            - '418'
            - '419'
            - '420'
            - '421'
            - '422'
            - '423'
            - '424'
            - '425'
            - '426'
            - '427'
            - '428'
            - '429'
            - '430'
            - '431'
            - '432'
            - '433'
            - '434'
            - '435'
            - '436'
            - '437'
            - '438'
            - '439'
            - '440'
            - '441'
            - '442'
            - '443'
            - '444'
            - '445'
            - '446'
            - '447'
            - '448'
            - '449'
            - '450'
            - '451'
            - '452'
            - '453'
            - '454'
            - '455'
            - '456'
            - '457'
            - '458'
            - '459'
            - '460'
            - '461'
            - '462'
            - '463'
            - '464'
            - '465'
            - '466'
            - '467'
            - '468'
            - '469'
            - '470'
            - '471'
            - '472'
            - '473'
            - '474'
            - '475'
            - '476'
            - '477'
            - '478'
            - '479'
            - '480'
            - '481'
            - '482'
            - '483'
            - '484'
            - '485'
            - '486'
            - '487'
            - '488'
            - '489'
            - '490'
            - '491'
            - '492'
            - '493'
            - '494'
            - '495'
            - '496'
            - '497'
            - '498'
            - '499'
            - '500'
            - '501'
            - '502'
            - '503'
            - '504'
            - '505'
            - '506'
            - '507'
            - '508'
            - '509'
            - '510'
            - '511'
            - '512'
            - '513'
            - '514'
            - '515'
            - '516'
            - '517'
            - '518'
            - '519'
            - '520'
            - '521'
            - '522'
            - '523'
            - '524'
            - '525'
            - '526'
            - '527'
            - '528'
            - '529'
            - '530'
            - '531'
            - '532'
            - '533'
            - '534'
            - '535'
            - '536'
            - '537'
            - '538'
            - '539'
            - '540'
            - '541'
            - '542'
            - '543'
            - '544'
            - '545'
            - '546'
            - '547'
            - '548'
            - '549'
            - '550'
            - '551'
            - '552'
            - '553'
            - '554'
            - '555'
            - '556'
            - '557'
            - '558'
            - '559'
            - '560'
            - '561'
            - '562'
            - '563'
            - '564'
            - '565'
            - '566'
            - '567'
            - '568'
            - '569'
            - '570'
            - '571'
            - '572'
            - '573'
            - '574'
            - '575'
            - '576'
            - '577'
            - '578'
            - '579'
            - '580'
            - '581'
            - '582'
            - '583'
            - '584'
            - '585'
            - '586'
            - '587'
            - '588'
            - '589'
            - '590'
            - '591'
            - '592'
            - '593'
            - '594'
            - '595'
            - '596'
            - '597'
            - '598'
            - '599'
            - '600'
            - '601'
            - '602'
            - '603'
            - '604'
            - '605'
            - '606'
            - '607'
            - '608'
            - '609'
            - '610'
            - '611'
            - '612'
            - '613'
            - '614'
            - '615'
            - '616'
            - '617'
            - '618'
            - '619'
            - '620'
            - '621'
            - '622'
            - '623'
            - '624'
            - '625'
            - '626'
            - '627'
            - '628'
            - '629'
            - '630'
            - '631'
            - '632'
            - '633'
            - '634'
            - '635'
            - '636'
            - '637'
            - '638'
            - '639'
            - '640'
            - '641'
            - '642'
            - '643'
            - '644'
            - '645'
            - '646'
            - '647'
            - '648'
            - '649'
            - '650'
            - '651'
            - '652'
            - '653'
            - '654'
            - '655'
            - '656'
            - '657'
            - '658'
            - '659'
            - '660'
            - '661'
            - '662'
            - '663'
            - '664'
            - '665'
            - '666'
            - '667'
            - '668'
            - '669'
            - '670'
            - '671'
            - '672'
            - '673'
            - '674'
            - '675'
            - '676'
            - '677'
            - '678'
            - '679'
            - '680'
            - '681'
            - '682'
            - '683'
            - '684'
            - '685'
            - '686'
            - '687'
            - '688'
            - '689'
            - '690'
            - '691'
            - '692'
            - '693'
            - '694'
            - '695'
            - '696'
            - '697'
            - '698'
            - '699'
            - '700'
            - '701'
            - '702'
            - '703'
            - '704'
            - '705'
            - '706'
            - '707'
            - '708'
            - '709'
            - '710'
            - '711'
            - '712'
            - '713'
            - '714'
            - '715'
            - '716'
            - '717'
            - '718'
            - '719'
            - '720'
            - '721'
            - '722'
            - '723'
            - '724'
            - '725'
            - '726'
            - '727'
            - '728'
            - '729'
            - '730'
            - '731'
            - '732'
            - '733'
            - '734'
            - '735'
            - '736'
            - '737'
            - '738'
            - '739'
            - '740'
            - '741'
            - '742'
            - '743'
            - '744'
            - '745'
            - '746'
            - '747'
            - '748'
            - '749'
            - '750'
            - '751'
            - '752'
            - '753'
            - '754'
            - '755'
            - '756'
            - '757'
            - '758'
            - '759'
            - '760'
            - '761'
            - '762'
            - '763'
            - '764'
            - '765'
            - '766'
            - '767'
            - '768'
            - '769'
            - '770'
            - '771'
            - '772'
            - '773'
            - '774'
            - '775'
            - '776'
            - '777'
            - '778'
            - '779'
            - '780'
            - '781'
            - '782'
            - '783'
            - '784'
            - '785'
            - '786'
            - '787'
            - '788'
            - '789'
            - '790'
            - '791'
            - '792'
            - '793'
            - '794'
            - '795'
            - '796'
            - '797'
            - '798'
            - '799'
            - '800'
            - '801'
            - '802'
            - '803'
            - '804'
            - '805'
            - '806'
            - '807'
            - '808'
            - '809'
            - '810'
            - '811'
            - '812'
            - '813'
            - '814'
            - '815'
            - '816'
            - '817'
            - '818'
            - '819'
            - '820'
            - '821'
            - '822'
            - '823'
            - '824'
            - '825'
            - '826'
            - '827'
            - '828'
            - '829'
            - '830'
            - '831'
            - '832'
            - '833'
            - '834'
            - '835'
            - '836'
            - '837'
            - '838'
            - '839'
            - '840'
            - '841'
            - '842'
            - '843'
            - '844'
            - '845'
            - '846'
            - '847'
            - '848'
            - '849'
            - '850'
            - '851'
            - '852'
            - '853'
            - '854'
            - '855'
            - '856'
            - '857'
            - '858'
            - '859'
            - '860'
            - '861'
            - '862'
            - '863'
            - '864'
            - '865'
            - '866'
            - '867'
            - '868'
            - '869'
            - '870'
            - '871'
            - '872'
            - '873'
            - '874'
            - '875'
            - '876'
            - '877'
            - '878'
            - '879'
            - '880'
            - '881'
            - '882'
            - '883'
            - '884'
            - '885'
            - '886'
            - '887'
            - '888'
            - '889'
            - '890'
            - '891'
            - '892'
            - '893'
            - '894'
            - '895'
            - '896'
            - '897'
            - '898'
            - '899'
            - '900'
            - '901'
            - '902'
            - '903'
            - '904'
            - '905'
            - '906'
            - '907'
            - '908'
            - '909'
            - '910'
            - '911'
            - '912'
            - '913'
            - '914'
            - '915'
            - '916'
            - '917'
            - '918'
            - '919'
            - '920'
            - '921'
            - '922'
            - '923'
            - '924'
            - '925'
            - '926'
            - '927'
            - '928'
            - '929'
            - '930'
            - '931'
            - '932'
            - '933'
            - '934'
            - '935'
            - '936'
            - '937'
            - '938'
            - '939'
            - '940'
            - '941'
            - '942'
            - '943'
            - '944'
            - '945'
            - '946'
            - '947'
            - '948'
            - '949'
            - '950'
            - '951'
            - '952'
            - '953'
            - '954'
            - '955'
            - '956'
            - '957'
            - '958'
            - '959'
            - '960'
            - '961'
            - '962'
            - '963'
            - '964'
            - '965'
            - '966'
            - '967'
            - '968'
            - '969'
            - '970'
            - '971'
            - '972'
            - '973'
            - '974'
            - '975'
            - '976'
            - '977'
            - '978'
            - '979'
            - '980'
            - '981'
            - '982'
            - '983'
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence. Must pass in shipping_method_id or
            shipping_method_name + carrier_id
          example: fedex_ground
        shipping_method_name:
          type: string
          enum:
            - ECONOMY SERVICE
            - SAME DAY
            - GROUND SERV RESIDENTIAL-SR RS
            - 2ND DAY AIR AM-APH RS
            - HOME DELIVERY RS
            - TRANSPORTATION
            - GUIDE
            - INTERNATIONAL PRIORITY-SR
            - MAIL INNOVATIONS
            - STANDARD ABQR
            - EXPEDIT
            - NEXT DAY AIR SATURDAY-APH RS
            - STD. INTERSTATE
            - VALUE EXPRESS
            - SCH
            - PICKUP
            - NFO
            - CARGO LOGISTICS
            - 2DAY RESIDENTIAL
            - 3RD DAY AIR FREIGHT NGS
            - DIRECT
            - TEST
            - AIR
            - 2ND DAY AIR SATURDAY-PRS
            - 2DAY-SR
            - DOMESTIC AIR
            - STANDARD OVERNIGHT OR
            - PRIORITY OVERNIGHT-RPS
            - STANDARD INTERNATIONAL
            - OSM PREMIUM EXPEDITED
            - EXPEDITERS
            - PRIORITY OVERNIGHT RES-SR
            - 3 DAY SELECT-SR RS
            - WORLDWIDE EXPRESS SAVER
            - PRIORITY OVERNIGHT RS
            - STD INTERSTATE
            - TRUCKLOAD
            - TRUCK-3 DAY SELECT
            - 2DAY RS
            - 3rd DAY
            - GROUND RESIDENTIAL
            - 3 DAY SELECT RS
            - EXPRESS SAVER-RPS
            - WORLDWIDE EXPRESS FREIGHT
            - STANDARD OVERNIGHT
            - STANDARD
            - NEXT DAY AIR SAVER-SR
            - 3DAY RES-CSR
            - NEXT DAY AIR SAVER-APH RS
            - Standard
            - SM Parcel Plus Expedited RS
            - WORLDWIDE EXPRESS-SR
            - TX POOL FLEX
            - 2DAY AM
            - PRIORITY OVERNIGHT-RPDCS
            - STANDARD OVERNIGHT RS
            - GROUND SERVICE RES-ASR
            - LIVE LOAD FREIGHT
            - INTERNATIONAL MANUAL
            - EXPRESS SAVER RESIDENTIAL RS
            - 2DAY OR RS
            - NEXT DAY AIR SAVER-APH
            - EXPRESS SAVER
            - SM Parcels Expedited RS
            - AIR FREIGHT DIRECT INT
            - NEXT DAY AIR SAVER RES-ASR
            - Through the Door-PRS
            - FL POOL
            - 2 Day
            - PRIORITY MAIL SR PB
            - SEE ROUTING GUIDE
            - EXPRESS
            - 3DAY RES-ASR
            - First Overnight-RPS
            - EXPRESS MAIL ACSR PB
            - NEXT DAY AIR SAVER
            - STANDARD INTRASTATE CA
            - Parcel Select Lightweight
            - HOME DELIVERY-CSR
            - NEXT DAY AIR RS
            - 3 DAY SELECT RES-ASR
            - EXPEDITED
            - INT FCL
            - NEXT DAY AIR EARLY AM-SR RS
            - INT CUSTOMS CLEARANCE
            - EXPRESS SAVER SR
            - EXPRESS SAVER RS
            - Ground Economy PS
            - 3 DAY SELECT RESIDENTIAL RS
            - INTERNATIONAL STANDARD DDU
            - PRIORITY OVERNIGHT OR
            - INTL AIR
            - FIRST OVERNIGHT OR
            - 2ND DAY AIR SATURDAY RS
            - PARCEL INTERNATIONAL DIRECT
            - 2DAY SAT OR
            - INTERNATIONAL CONNECT PLUS-CSR
            - INTERNATIONAL ECONOMY-CSR
            - 3DAY RS
            - OVERNIGHT
            - Ground
            - Room of Choice-PRS
            - DCL
            - 2 DAY SERVICE
            - AIR EXPRESS
            - HOME DELIVERY-RPS
            - NEXT DAY AIR EARLY AM-APH RS
            - First Overnight
            - HOME DELIVERY-ASR
            - SB POOL DISTRIBUTION
            - STD INTRASTATE CA
            - INTERNATIONAL PRIORITY MPS
            - 2ND DAY AIR FREIGHT NGS
            - NEXT DAY AIR SAVER-PRS
            - NEXTDAY
            - STD INTRASTATE
            - PRI DDU DC
            - Express Worldwide-NDS
            - 3DAY-RPDCS
            - 1 DAY
            - STANDARD TO CANADA
            - STD TO CANADA
            - Parcel Select
            - GROUND RESIDENTIAL-RPS
            - 3 DAY SELECT-PRS
            - FIRST-CLASS MAIL INTL PB
            - 1DAY FREIGHT
            - SM Parcel Expedited Max RS
            - LTL
            - Express Worldwide RESIDENTIAL
            - First Overnight RES-CSR
            - 2ND DAY AIR SATURDAY
            - DG Routing
            - NEXT DAY AIR EARLY AM SR
            - STANDARD OVERNIGHT SR
            - 2DAY AM OR
            - PRIORITY OVERNIGHT RES-CSR
            - GROUND-APH RS
            - NON CONTINENTAL STANDARD
            - First Overnight RESIDENTIAL RS
            - SM Parcel Plus Expedited Max
            - LOCAL
            - GROUND-APH
            - PRIORITY MAIL EXPRESS INT PB
            - PARCEL
            - SM Parcel Plus Ground
            - AT CARRIER
            - 3DAY RESIDENTIAL
            - 2ND DAY
            - 2DAY-RPDCS
            - NEXT DAY AIR SATURDAY
            - GROUND-ASR
            - GROUND RS
            - NEXT DAY AIR-APH
            - BES
            - STANDARD OVERNIGHT RES-ASR
            - Express Plus
            - FIRST-CLASS PACKAGE INT PB
            - EXPEDITE
            - URGENT
            - 2DAY AM RS
            - Expedited Canada
            - EXPRESS MAIL PB
            - PRIORITY EXPRESS
            - GROUND SERVICE
            - NEXT DAY AIR SATURDAY-APH
            - STANDARD INTL
            - 3 DAY SERVICE
            - Priority Overnight
            - GROUND ADVANTAGE RS PB
            - STANDARD OVERNIGHT-RPDCS
            - NEXT DAY AIR SATURDAY-PRS
            - NEXT DAY AIR-SR RS
            - DOMESTIC GROUND
            - GROUND SERVICE COMMERCIAL RS
            - TX POOL PM
            - AM
            - PRIORITY MAIL INT
            - PRIORITY MAIL EXPRESS INT
            - INT IMPORT
            - First Overnight RESIDENTIAL
            - NEXT DAY AIR RES-SR
            - NEXT DAY AIR-APH RS
            - PRIORITY OVERNIGHT RESIDENTIAL
            - ESU
            - SUNRISE
            - WORLDWIDE
            - PRIORITY OVERNIGHT SATURDAY
            - OCEAN
            - ECONOMY
            - USPS PARCEL SELECT
            - 3RD DAY AIR FREIGHT
            - PRIORITY MAIL RS PB
            - 3 DAY SELECT-SR
            - GROUND SERVICE RESIDENTIAL
            - SM Parcels Expedited
            - RUSH 1-HR DIRECT
            - 2DAY FREIGHT
            - 2ND DAY AIR AM
            - STANDARD OVERNIGHT RESIDEN RS
            - International
            - PRIORITY OVERNIGHT SATURDAY RE
            - SOUTHERN-US
            - 3DAY FREIGHT
            - LCL OCEAN
            - INTERNATIONAL ECONOMY-SR
            - TX POOL DISTRIBUTION
            - NEXT DAY AIR RESIDENTIAL
            - NEXT DAY
            - STANDARD OVERNIGHT RESIDENTIAL
            - EXPRESS SAVER RES-SR
            - INTERNATIONAL ECONOMY - MPS
            - FCL OCEAN
            - EXPRESS ECONOMY
            - GROUND DELIVERY
            - SYSTEMS
            - WORLDWIDE EXPRESS SAVER-ASR
            - 2ND DAY AIR-APH
            - 3 Day
            - EXPRESS SAVER OR
            - Parcel Select Ground PB
            - Expedited to Canada
            - PRIORITY MAIL
            - 3 DAY
            - WORLDWIDE EXPRESS
            - INTERNATIONAL ECONOMY
            - STANDARD AIR
            - NEXT DAY AIR SAVER RS
            - AIR FREIGHT
            - First Overnight Freight
            - PRIME
            - DEFERRED AIR
            - INTL CONSOLIDATE FREIGHT PR
            - SEE SHIPPING INSTRUCTIONS
            - EXPRESS CANADA
            - FIRST CLASS-ASR
            - INT DOOR TO DOOR
            - 3 DAY SELECT-APH
            - NEXT DAY AIR EARLY AM RS
            - 2 DAY
            - PRIORITY OVERNIGHT RES-ASR
            - FTL
            - INT LCL
            - INTERNATIONAL PARCELS
            - GROUND RESIDENTIAL RS
            - NEXT DAY AIR SAVER RES-SR
            - STANDARD INTL.
            - NEXT DAY AIR EARLY AM-APH
            - REGULAR 2-4 HOUR
            - SAMEDAY
            - Packet International
            - NEXT DAY AIR
            - 3DAY
            - SUNRISE GOLD
            - WORLD EASE
            - HOME DELIVERY
            - 2DAY-RPS
            - First Overnight RS
            - 2ND DAY AIR-SR
            - 2ND DAY AIR-SR RS
            - SPECIAL 1-2 HOUR
            - EPKT DDP
            - NEXT DAY AIR FREIGHT NGS
            - 3 DAY SELECT RESIDENTIAL
            - 2ND DAY AIR RES-ASR
            - Standard Overnight
            - International Priority
            - 2ND DAY AIR AM-APH
            - PRIORITY OVERNIGHT RESIDENT RS
            - 3 DAY SELECT-APH RS
            - INTERNATIONAL PRIORITY
            - EXPRESS SAVER CANADA
            - INTERNATIONAL
            - GROUND SERVICE COMMERCIAL-PRS
            - 3DAY RES-SR
            - Overnight
            - PRI DDP DC
            - SM Parcels Ground
            - 2DAY OR
            - OVERNIGHT FREIGHT
            - Parcel Select Non-Presort PB
            - 2ND DAY AIR AM RS
            - BEST WAY RATE
            - TRUCK-GROUND
            - 2DAY RES-SR
            - 2ND DAY AIR SATURDAY-APH RS
            - CONSIGNEE
            - GROUND RESIDENTIAL-RPDCS
            - 2DAY
            - SERVICE METHOD
            - EXPRESS SAVER RES-ASR
            - NEXT DAY AIR EARLY AM
            - EXPRESS PREMIUM
            - First Overnight RES-SR
            - FREIGHT SERVICES
            - LIGHTWEIGHT PARCEL
            - GROUND SERVICE RES-SR
            - 1 lb or Greater RESIDENTIAL
            - First Overnight-RPDCS
            - RETAIL GROUND PB
            - NEXT DAY AIR SATURDAY SR
            - NIE
            - 2ND DAY AIR RESIDENTIAL
            - Expedited
            - NEXT DAY AIR SAVER RESIDENTIAL
            - EXPEDITED TO CANADA
            - GROUND ADVANTAGE PB
            - INT CUSTOMS BROKERAGE
            - SM Parcel Plus Expedited
            - DEFERRED 3-5 DAY
            - International Economy
            - WORLDWIDE EXPRESS-ASR
            - GROUND EXPEDITED
            - PRIORITY OVERNIGHT
            - Economy
            - FIRST CLASS-SR
            - INTERNATIONAL PRIORITY FREIGHT
            - CA POOL W1
            - 2ND DAY AIR SATURDAY RESIDENT
            - AIR STANDARD
            - FIRST-CLASS MAIL PB
            - FREIGHT
            - GROUND SERVICE RESIDENTIAL-PRS
            - TIMEKEEPER
            - INTERNATIONAL ECONOMY FREIGHT
            - INTERNATIONAL CONNECT PLUS-SR
            - AIR FREIGHT CONSOLIDATED INT
            - EXPRESS AIR
            - NEXT DAY AIR FREIGHT
            - WORLDWIDE EXPEDITED
            - COLLECT
            - INTERNATIONAL CONNECT PLUS
            - WORLDWIDE EXPEDITED-ASR
            - 2ND DAY AIR-PRS
            - INTL CONSOLIDATE FREIGHT EC
            - DOOR TO DOOR
            - STANDARD TO MEXICO
            - 2ND DAY AIR RES-SR
            - Priority Mail  FRB L PB
            - GROUND ADVANTAGE ASR PB
            - NEXT DAY AIR SATURDAY RS
            - EXPRESS SAVER FREIGHT
            - NEXT DAY AIR-PRS
            - SM Parcel Expedited Max
            - INT EXPORT
            - Expedited Parcel Select
            - OSM PREMIUM
            - WORLDWIDE EXPEDITED-SR
            - TX POOL AM
            - PRIORITY MAIL PB
            - 2ND DAY AIR RESIDENTIAL RS
            - SPECIAL DELIVERY
            - XPRESSPOST
            - INTERNATIONAL AIR
            - INTERNATIONAL STANDARD DDP
            - TRANSPORTATION INC
            - SELECT
            - CANADA
            - FIRST CLASS
            - WAREHOUSE-LTL
            - PRIORITY
            - Priority Mail International PB
            - LIFTGATE
            - International Document Service
            - To the Door
            - PRIORITY OVERNIGHT SATURDAY RS
            - 2ND DAY AIR SATURDAY-APH
            - Ground Economy Standard Mail
            - 3DAY RESIDENTIAL RS
            - Express Worldwide
            - HOME DELIVERY-RPDCS
            - Priority Mail FRB ENV PB
            - Priority Mail  FRB M PB
            - PRIORITY MAIL ASR PB
            - GLOBAL FORWARDING
            - NEXT DAY AIR SATURDAY RESIDENT
            - HOO
            - 2DAY RES-CSR
            - GROUND
            - PARCEL SELECT
            - NEXT DAY AIR RESIDENTIAL-ASR
            - STANDARD PREMIUM DDP
            - GROUND SERVICE COMMERCIAL-SR
            - 2ND DAY AIR FREIGHT
            - INTERNATIONAL GROUND
            - TL
            - 2ND DAY AIR RS
            - Regional
            - Parcel International Standard
            - 2ND DAY AIR
            - INSIDE DELIVERY
            - SPECIAL INTRASTATE CA
            - INTERNATIONAL PRIORITY-CSR
            - SAVER
            - NEXT DAY AIR RESIDENTIAL RS
            - STANDARD OVERNIGHT-RPS
            - LTL FREIGHT
            - NEXT DAY AIR RES-ASR
            - SM Parcel Plus Exp Max RS
            - EXPRESS MAIL SR PB
            - CA POOL W2
            - REDDAWAY INC
            - STANDARD OVERNIGHT RES-CSR
            - Priority Mail  FRB S PB
            - GROUND SERVICE COMMERCIAL
            - 2ND DAY AIR AM -SR
            - EXPRESS MAIL ASR PB
            - GROUND SERVICE RESIDENTIAL RS
            - First Overnight RES-ASR
            - EXPRESS SAVER RESIDENTIAL
            - EXPRESS MAIL INT PB
            - GROUND ADVANTAGE
            - NEXT DAY AIR-SR
            - 2DAY RES-ASR
            - TRANSPORTATION STANDARD
            - Less than 1 lb RESIDENTIAL
            - STANDARD OVERNIGHT RES-SR
            - 3 DAYS SELECT
            - International Air
            - 2ND DAY AIR-APH RS
            - 2DAY RESIDENTIAL RS
            - 3 DAY SELECT RES-SR
            - EXPRESS SAVER-RPDCS
            - FIRST CLASS MAIL
            - HOME DELIVERY-SR
            - Priority Mail  FRB XL PB
            - EXPRESS SAVER RES-CSR
            - PRIORITY MAIL EXPRESS PB
            - 3DAY-RPS
            - 3 DAY SELECT
            - SM Parcel Plus Ground RS
            - WORLDWIDE EXPRESS SAVER-SR
            - STANDARD TO CANADA-SR
            - PRIORITY MAIL ACSR PB
            - FIRST CLASS PACKAGE INT
            - 3-5 DAY
            - GROUND ADVANTAGE SR PB
            - PRIORITY OVERNIGHT -SR
            - STANDARD FREIGHT
            - EXPRESS WORLDWIDE
            - GROUND-SR
            - STANDARD INTERSTATE
          description: >-
            The name of the shipping method used to ship the order. If
            shipping_method_id is also provided, that will take precedence. May
            vary from the shipping methods returned at the package level. Must
            pass in shipping_method_id or shipping_method_name + carrier_id
          example: FedEx Ground
        carrier_id:
          type: string
          enum:
            - PROGRESSIVE LOGISTICS
            - ARMSTRONG TRANSPORT
            - AERONET
            - COVENANT TRANSPORT
            - SUNSET PACIFIC TRANSPORTATION
            - PTL FREIGHT FORWARDERS
            - CALIFORNIA SIERRA EXPRESS
            - ANC INTERNATIONAL
            - KINETIC
            - ORANGECOURIER
            - CALIFORNIA TRANSPORT
            - CANADIAN SERVICE
            - KOHLS 855 BACKHAUL GALE
            - JW LOGISTICS
            - AVILA TRUCKING
            - UPS Access Point
            - UPS CANADA
            - UNIS TRANSPORTATION
            - FRONTLINE FREIGHT
            - OSM
            - ALYBRE TRUCKING
            - LAB CARRIER
            - JB HUNT INTERMODAL
            - AIT WORLDWIDE LOGISTICS
            - YRC
            - SHIPCO TRANSPORTATION
            - WARREN TRANSPORT
            - CALIFORNIA OVERNIGHT
            - RJW
            - RHENUS LOGISTICS
            - ROHLIG
            - PERFORMANCE TEAM GALE TRIANGLE
            - CONWAY
            - OTX LOGISTICS
            - JL BARR TRUCKING
            - INTERMARK TRANSPORT
            - PACE AIR FREIGHT
            - PASSPORT
            - CLOCK
            - DCL DELIVERY
            - HUB GROUP
            - APC_DCL
            - VFR TRANSPORT
            - SPECIALTY LOGISTICS
            - DYNASTY CUSTOMS BROKER INC
            - KUEHNE+NAGEL
            - UNIVERSAL TRUCK LOAD INC
            - AVERITT EXPRESS
            - FARREX FREIGHT
            - DART EXPRESS
            - ALPHA HOLDING
            - CRANE
            - ESL EXPRESS
            - SPEEDMARK
            - RHAPSODY NAVIGATION LIMITED
            - INTERCARGO
            - SEE ROUTING GUIDE
            - JIT
            - TFORCE FREIGHT
            - FEDEX FREIGHT
            - STREAMLINE INC
            - AIRGROUP
            - CTS
            - Home Direct
            - UPS Mail Innovations
            - BAX GLOBAL
            - RED LOGISTICS
            - TIA CHAPIS TRANSPORTATION LLC
            - TLW FREIGHT
            - HERCULES
            - PREMIERE LOGISTICS
            - PLATINUM
            - KNICHEL LOGISTICS
            - ALLIANCE SHIPPERS
            - ADAMS THIRD WAVE
            - YUSEN
            - USF
            - ULTRA EX
            - BLM TRANSPORTATION
            - TOTAL TRANSPORTATION
            - MAINFREIGHT
            - UPS FREIGHT
            - HEARTLAND EXPRESS
            - MAKO WAVES DISTRIBUTION
            - AMZ_US_PREMIUM
            - TRANS EXPEDITE
            - CANPAR
            - MORRISON EXPRESS CORP
            - G & I LOGISTICS
            - DHL Global Mail
            - ASR TRANSPORTATION
            - FREIGHTQUOTE.COM
            - XPO LOGISTICS
            - HORIZON INTL CARGO
            - CRANE WW
            - WESTERN EAGLE FOUNDATION
            - AIRWAVES
            - POS
            - DEPENDABLE HIGHWAY EXPRESS
            - VRTX LOGISTICS
            - ORANGE COURIER
            - WERNER ENTERPRISE
            - SFO EXPRESS
            - ES EXPRESS
            - PITT OHIO EXPRESS
            - NORCON
            - R&L TRANSFER
            - FLEXPORT
            - ALFA LOGISTICS
            - GSC LOGISTICS
            - DBSCHENKER
            - ASSOCIATED GLOBAL SYSTEMS
            - DYNAMEX OPERATIONS
            - WILL CALL GLOBAL-E
            - ABF
            - MOTO TRANSPORTATION
            - NEXZIS
            - ROADRUNNER
            - American Worldwide Agencies
            - ACB
            - AAA COOPER
            - EASE LOGISTICS
            - UPS
            - SCHNEIDER NATIONAL CARRIERS
            - FEDEX TRUCKLOAD
            - LTL
            - KEYSTONE DEDICATED
            - AMERICAN GLOBAL
            - ECHO GLOBAL LOGISTICS
            - U FREIGHT
            - SWIFT DEDICATED
            - FEDEX
            - WEBTRANS
            - DPD
            - ITF GROUP
            - RXO
            - DSV
            - Pacer Group IM
            - PEGASUS
            - ICAT LOGISTICS
            - UNIUNI
            - CSX INTERMODAL TERMINALS
            - USA TRUCK
            - ALTRIA
            - CH ROBINSON
            - SURE SHOT TRANSIT SOLUTIONS
            - ULTRA LOGISTICS
            - SEKO LOGISTICS
            - CITY TRANSPORT
            - KULAR ENTERPRISES INC
            - TRANSPLACE
            - MAIL ON THE MOVE
            - ADELCAR
            - GREATWIDE AMERICAN TRANS
            - GREAT AMERICAN TRANS
            - PONCE GROUND SERIVE
            - DUNBLARE IPORT EXPORT
            - DIGITAL RIVER
            - CUSTOM COMPANIES
            - EXPRESS AIR FREIGHT
            - TRAFFIC TECH
            - FALCON GLOBAL EDGE
            - HELLMANN WORLDWIDE LOGISTICS
            - TST OVERLAND EXPRESS
            - PRIORITY1
            - INTELLITRANS LLC
            - ROCHESTER ART CLUB
            - NATIONAL RETAIL TRANSPORTATION
            - WESTERN REGIONAL DELIVERY
            - ALLSTATE INT FREIGHT
            - CH ROBINSON WORLDWIDE
            - CSA TRANSPORTATION
            - ALD LOGISTICS
            - WEST COAST
            - POLARIS
            - AMERIKA LAND
            - STR GROUP
            - EU CARRIER
            - BULLET TRANSPORT
            - RE TRANSPORTATION
            - SERVICE PLUS TRANS
            - CALSIERRA
            - FREIGHT LOGISTICS
            - DHL
            - CAL STATE EXPRESS
            - THE TRANSPORT COMPANY
            - UPS LTL
            - SEKO WORLDWIDE
            - E&A TRANSPORT LLC
            - SONICAIR
            - GEODIS
            - DUPRE LOGISTICS
            - TROPICAL SHIPPING
            - BTX GLOBAL LOGISTICS
            - JOHNNY AIR CARGO
            - PANALPINA
            - BNSF LOGISTICS
            - PERIMETER GLOBAL
            - SONDH FREIGHT SYSTEMS
            - NEXTRANS
            - UPDIKE DISTRIBUTION LOGISTICS
            - JC MARTINEZ TRUCKING
            - BAY CITY
            - DAYTON FREIGHT
            - TRANSCON
            - HEAVEN
            - WALMART FLEET
            - ESTES EXPRESS LINES
            - Corporate Traffic TL
            - AMAZON
            - OPC TRUCKING
            - ROADWAY EXPRESS
            - JTS LOGISTICS
            - EXPRESS FREIGHT SYSTEM
            - HOLLAND MOTOR EXPRESS
            - CENTRAL TRANSPORT
            - TRI-AD
            - PREMIER LOGISTICS
            - LYNDEN
            - KNIGHT TRANSPORTATION INC
            - CAVALIER LOGISTICS
            - TRUCKLAND INC
            - WORLDWIDE EXPRESS
            - YRC INC
            - FGE Inc.
            - XPRESS GLOBAL SYSTEMS
            - UPS SurePost
            - RHEOUS
            - R&L CARRIERS INC
            - SEE SHIPPING INSTRUCTIONS
            - HUB GROUP CENTRAL TRANSPORT
            - WHITE ARROW
            - COYOTE LOGISTICS
            - DEL MAR USA
            - FORWARD AIR
            - EXPRESS LINE
            - RELAY LOAD BOARD
            - LETAREMAN INC
            - CVS HEALTH DISTRIBUTION CENTER
            - INTERNATIONAL BRIDGE
            - DTS
            - FEED THE CHILDREN
            - AirOne Logistics
            - CIRCLE LOGISTICS
            - 10G LOGISTICS
            - ENGLAND LOGISTICS
            - UNYSON
            - OMNI
            - USF REDDAWAY
            - USPS
            - COMTRAK LOGISTICS
            - INSTICO GLOBAL LOGISTICS
            - Great World Express
            - TRANSGROUP
            - HUB INTERMODAL
            - DYNASTY
            - DPD/BES
            - CON-WAY
            - WATCHPOINT LOGISTICS
            - GLOBAL TRANZ
            - FNS INC
            - M AND W LOGISTICS
            - INXPRESS
            - CENTRAL FREIGHT LINES
            - HOLD
            - URBAN FREIGHT
            - TARGET LOGISTICS
            - CONVOY
            - SCHENKER
            - GULF RELAY
            - APORTILLOTRANSPORTLLC
            - VZ TRANSPORTATION INC
            - USF HOLLAND
            - WATCO SUPPLY CHAIN
            - FLAVOR CLOUD
            - ESTES LEVEL 2
            - GALE TRIANGLE
            - COOL RUNNINGS INC
            - NEXT TRUCKING
            - SELECTSHIP
            - PAM TRANSPORT
            - HUB DEDICATED
            - ROUTING
            - SWIFT LOGISTICS
            - CORTRANS
            - SPOT
            - MC CARGO
            - BEST WAY RATE
            - MODE TRANSPORTATION
            - USA FULGER TRANSPORT
            - AXIZ
            - WHITACRE INTERMODAL
            - NIPPON EXPRESS
            - AMZ_US_BULK
            - BESTUSA
            - ESTES FORWARDING WORLDWIDE
            - OAK HARBOR
            - AOC FREIGHT CORPORATION
            - FEDEX TRUCKLOAD BROKERAGE
            - UPS SUPPLY CHAIN SOLUTIONS
            - PILOT PORTLAND
            - KAMINO
            - MARITIME-ONTARIO FREIGHT
            - TRANSFIX
            - MEGA FLEET CORP
            - Federal Express
            - SUPERCARGO
            - GORDON TRUCKING
            - FEDEX CUSTOM CRITICAL
            - VITRAN
            - USPS_ATS_PARCEL
            - MAERSK LOGISTICS
            - ABILENE MOTOR EXPRESS
            - EPES LOGISTICS
            - MAINFREIGHT INTERNATIONAL
            - JAEZRA TRANSPORT
            - WORLD ASIA
            - SWIFT TRANSPORTATION
            - ATL TRANSPORTATION INC
            - EASYPOST USPS
            - CEVA
            - TOTAL QUALITY LOGISTICS
            - CUSTOMER
            - DBSH
            - FITZMARK TRUCKING
            - K LINE
            - ARAMEX
            - PRIMARY FREIGHT SERVICE
            - AO FREIGHT
            - ASTEC LOGISTICS
[...]
